Skip to main content
POST
/
api
/
v1
/
user
/
referral
cURL
curl --request POST \
  --url https://api.ekiden.fi/api/v1/user/referral \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "referral_code": "<string>"
}
'
{
  "downline_count": 1,
  "referral_code": "<string>",
  "referrer_code": "<string>",
  "referrer_user_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.ekiden.fi/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
referral_code
string
required

Response

200 - application/json

Referral summary

downline_count
integer<int64>
required
Required range: x >= 0
referral_code
string
required
referrer_code
string | null
referrer_user_id
string | null